# Token鉴权方案介绍

Token 也称为动态密钥，供 Agora 后台对 app 用户进行动态权限检查，用于在生产环境等安全要求更高的环境下对 app 用户在加入频道时进行动态鉴权。

在项目的评估、集成和测试阶段，你可以仅仅使用 App ID 鉴权。不过，为了使你的产品更安全，更合规，更不容易受到恶意的干扰，建议在项目上线前升级到 Token 鉴权方案。详细方法请参考文档[校验用户权限](https://docs.agora.io/cn/Agora%20Platform/token)

## 请特别注意以下：

Token的生成依赖于四个要素：App ID，App Certificate，Channel Name（频道名） 和 User ID（用户ID）。使用token时，传入 agora_rtc_join_channel 的 channel_name 和 agora_rtc_init 的 uid，必须和Token生成时使用的 Channel Name 和 User ID 保持完全一致，否则token验证会失败。